com.holonplatform.http.exceptions

## Class UnsuccessfulResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.http.exceptions.HttpException
        - - com.holonplatform.http.exceptions.HttpStatusCodeException
          - - com.holonplatform.http.exceptions.UnsuccessfulResponseException

- All Implemented Interfaces:
    Serializable

      public class UnsuccessfulResponseException
      extends HttpStatusCodeException

  HTTP exception related to a client `ResponseEntity` with a not successful status code.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsuccessfulResponseException(ResponseEntity<?> response)` Constructor
    `UnsuccessfulResponseException(ResponseEntity<?> response, String message)` Constructor with error message

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResponseEntity<?>` | `getResponse()` Get the response entity associated with to exception.

    - ### Methods inherited from class com.holonplatform.http.exceptions.HttpStatusCodeException

      `getStatus, getStatusCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsuccessfulResponseException

          public UnsuccessfulResponseException(ResponseEntity<?> response)

      Constructor
      Parameters:
        `response` - Response entity associated to this exception

    - #### UnsuccessfulResponseException

          public UnsuccessfulResponseException(ResponseEntity<?> response,
                                               String message)

      Constructor with error message
      Parameters:
        `response` - Response entity associated to this exception
        `message` - Error message

  - ### Method Detail

    - #### getResponse

          public ResponseEntity<?> getResponse()

      Get the response entity associated with to exception.
      Returns:
        the response entity associated to this exception

Copyright © 2019 The Holon Platform. All rights reserved.